UGNX.pe.kr은 nx정보, 지식 공유사이트로 개인의 참여로 이루어진 홈페이지 입니다. 어떤설문조사가 있을까? 댓글달고 100 포인트 얻으세요. 회원간 프로그램 공유 요청 메일,쪽지 발송 불가

 

  • Post
    40
  • Reply
    10
  • Read
    -10
  • Up
    10
  • Down
    -50
쓰기
 
조회수 Best
04-27  lisp 설정 법  [5] file  [4847]
09-10  척도와 척도 표기  [4]  [4335]
 
추천수 Best
12-19  cad max 2010  [5]  [1476]1
12-12  프리웨어 2D Cad  [4]  [1776]1
04-27  lisp 설정 법  [5] file  [4847]
   ▶공지;
추천 수 : 0 / 0
조회 수 : 4020
2008.06.23 (20:01:26)

; 레이어 변경기능 ;도형을 선택하여 원하는 레이어로 변경하는 기능
(defun c:` () (setq a (ssget)) (command "change" a"" "p" "LA" "0" "c" "bylayer" "lt" "bylayer" ""))
(defun c:1 () (setq a (ssget)) (command "change" a"" "p" "LA" "1" "c" "bylayer" "lt" "bylayer" ""))
(defun c:2 () (setq a (ssget)) (command "change" a"" "p" "LA" "2" "c" "bylayer" "lt" "bylayer" ""))
(defun c:3 () (setq a (ssget)) (command "change" a"" "p" "LA" "3" "c" "bylayer" "lt" "bylayer" ""))
(defun c:4 () (setq a (ssget)) (command "change" a"" "p" "LA" "4" "c" "bylayer" "lt" "bylayer" ""))
(defun c:5 () (setq a (ssget)) (command "change" a"" "p" "LA" "5" "c" "bylayer" "lt" "bylayer" ""))
(defun c:6 () (setq a (ssget)) (command "change" a"" "p" "LA" "6" "c" "bylayer" "lt" "bylayer" ""))
(defun c:7 () (setq a (ssget)) (command "change" a"" "p" "LA" "7" "c" "bylayer" "lt" "bylayer" ""))
(defun c:8 () (setq a (ssget)) (command "change" a"" "p" "LA" "8" "c" "bylayer" "lt" "bylayer" ""))
(defun c:9 () (setq a (ssget)) (command "change" a"" "p" "LA" "9" "c" "bylayer" "lt" "bylayer" ""))

;--- 원하는 레이어를 OFF 하는 기능 ---------------
(defun c:`` () (command "layer" "off" "0" "y" ""))
(defun c:11 () (command "layer" "off" "1" "y" ""))
(defun c:22 () (command "layer" "off" "2" "y" ""))
(defun c:33 () (command "layer" "off" "3" "y" ""))
(defun c:44 () (command "layer" "off" "4" "y" ""))
(defun c:55 () (command "layer" "off" "5" "y" ""))
(defun c:66 () (command "layer" "off" "6" "y" ""))

;--- 원하는 레이어를 ON 하는 기능 ---------------
(defun c:``` () (command "layer" "on" "0" "y" ""))
(defun c:111 () (command "layer" "on" "1" "y" ""))
(defun c:222 () (command "layer" "on" "2" "y" ""))
(defun c:333 () (command "layer" "on" "3" "y" ""))
(defun c:444 () (command "layer" "on" "4" "y" ""))
(defun c:555 () (command "layer" "on" "5" "y" ""))
(defun c:666 () (command "layer" "on" "6" "y" ""))


설명
  레이어 변경, 꺼고, 켜는 단축키 설정입니다.

 

<2010.03.17 추가>

아래 댓글에 첨부하였습니다.

C:\Program Files\AutoCAD 2010\Support안에

첨부의 파일에 추가하여 사용하면됩니다.

 

레이어는 먼저 설정하여 주셔야됩니다.(기본)

예로 0 -흰색, 1빨강,2노랑,3녹색,4하늘색,5파랑,6보라

          실선,센터,숨은선,가상선,치수선,이점선,테두리

 

이렇게 설정하시면 키명령에 따라 색 변경이나 on,off하실수 있습니다.

 

(defun c:` () (setq a (ssget)) (command "change" a"" "p" "LA" "0" "c" "bylayer" "lt" "bylayer" ""))
리습(lisp)                             명령어    바꾼다    개체선택, 특성,도면층,새도면층이름,...해서 바꿈

 

명령어의 입력을 자동으로 잡아준겁니다.

 

auto cad 9버젼(1994년)에서 만들어 사용하던게요...아직 사용하고 있네요. 

여기서 발전된게 cadmax 상업적으로 발전해서 많은분들 사용하고 계시죠.

Share
이 글과 연관된 글( tag 에 의해 출력)
  1. [2010/05/06] 결혼전/후 by ugsnx (2941) *3
  2. [2010/01/04] 컴 고장시 점검 사항 by UGII (3262, 1) *4
  3. [2009/12/21] 남편 행복하게 죽이는 법 by UGII (4586, 1) *7
  4. [2011/12/31] 2012년을 맞이하며.. by UGII (159940, 2) *10
  5. [2011/10/28] 아내에게... by ugsnx (4049) *3
  6. [2011/06/25] 그녀 혼자 가족을 부양하기 쉽지 않다. by UGII (3123)
  7. [2011/04/13] 뒤늦게 깨닫게 되는 삶의 진실 30 가지 by UGII (12126) *1
  8. [2008/07/16] 朋友(붕우) / 주화건 by UGII (7054) *1
  9. [2008/08/05] [J.크로닌] by UGII (1569)
  10. [2008/08/05] [뮐러] by UGII (1845)
  관리자(admin)
  글은 인터넷에서 자신을 나타내는 유일한 모습입니다.
  상대에게 상처를 주기보다 같이 즐거워 할 수 있는 코멘트 부탁드려요.
2010.03.17 (11:08:54)
zerosf

저 명령어는 어떤식으로 사용하는건가요? 초보라서...;;

(*.94.45.98)
2010.03.17 (11:17:08)
UGII
profile

첨부하였습니다.

추가로 게시글에 추가수정하였습니다. 참조하세요. ^^

(*.30.253.234)
2010.03.17 (11:30:56)
zerosf

감사합니다. 오토캐드에서 사용하는거였군요. ^^;;

(*.94.45.98)
2010.04.14 (00:46:31)
탈샤리아

LSP에서 단축명령어 지정하는것을 간단히 올려봅니다

(DEFUN C:F1  () (COMMAND "FILLET" "R" "1" "FILLET"))
(DEFUN C:F2  () (COMMAND "FILLET" "R" "2" "FILLET"))
(DEFUN C:F3  () (COMMAND "FILLET" "R" "3" "FILLET"))

 

F1입력시 바로 필렛1을 줄수있습니다....

 

물론 champer도 가능하고 모든명령어도 바꿀수있고 본인이 편하게 꾸밀수도 있습니다....

설명이 너무 미흡했내요....

(*.232.30.21)
2010.04.14 (00:49:26)
ugsnx

단축키 응용은 본인 입맛에 맞게 할 수 있다는 내용이죠...

 

설명이 미흡한것은 아니네요. 알면 이해가 빠른데... 요즘 학교에서 lisp을 안가르쳐서...

 

학생들은 뭔내용인가 할수도...

(*.10.39.67)
2011.01.20 (16:55:54)
shymman

리습을 정말 배우고 싶네요.........

어캐하는지 정말 신기하네요...^^

(*.181.145.125)
2017.11.24 (11:11:46)
람보투게더

감사합니다

(*.190.190.152)
번호 제목 닉네임 조회 등록일
13 cad max 2010 [5] (4)
멍근
1476 2011-12-19
12 육각 구멍 붙이 볼트(렌치볼트) 자리파기 와 탭가공 최소 깊이 치수 파일 [10]
UGII
3330 2011-12-16
11 프리웨어 2D Cad [4] (3)
깜장구름a
1776 2011-12-12
10 autocad lisp 파이 쉽게 생성하기 파일 [3] (1)
독바우
1716 2011-12-11
9 lisp 설정 법 파일 [5] (4)
UGII
4847 2010-04-27
8 [LISP]중심선 긋는 명령 [9] (2)
UGII
4172 2009-12-17
7 척도와 척도 표기 [4] (1)
하늘
4335 2008-09-10
6 동각 삼각함수의 기본적 관계식 파일 [3] (3)
하늘
4525 2008-07-25
5 [tip]자동저장 시간 지정 및 저장 경로 지정 파일 [6]
하늘
4411 2008-07-09
4 [tip]한글 입력시 글자가 누워 있을때 파일 [2]
하늘
4008 2008-07-02
3 치수 입력관련 단축키 지정 [4]
하늘
4336 2008-06-23
Selected 레이어 관련 단축키 지정 [7]
하늘
4020 2008-06-23
1 autocad zoom 단축키 지정 [1]
하늘
4065 2008-06-23
Tag List
coollang korea 운동 센서


방문자수

전체 : 1,191,599
오늘 : 185
어제 : 173

페이지뷰

전체 : 23,406,019
오늘 : 943
어제 : 584

로그인 회원

UGNX.pe.kr은 nx정보, 지식 공유사이트로 개인의 참여로 이루어진 홈페이지 입니다.

sketchbook5, 스케치북5

sketchbook5, 스케치북5

나눔글꼴 설치 안내


이 PC에는 나눔글꼴이 설치되어 있지 않습니다.

이 사이트를 나눔글꼴로 보기 위해서는
나눔글꼴을 설치해야 합니다.

설치 취소